Page MenuHomePhabricator

Fix flapping tests in gated extensions as of 2019-06-06
Open, Needs TriagePublic

Description

These are particularly irksome, because they randomly affect unrelated repos. This task is to collect active flappers.

Policy suggestion: we should mark tests as pending or skip if they fail even once while gating unrelated patches, as long as the failure was not caused by the patch of course. A new task should be created for any skipped test.

Event Timeline

awight created this task.Jun 5 2019, 9:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 5 2019, 9:54 PM
awight added a subtask: Restricted Task.Jun 6 2019, 7:35 AM
awight removed a project: Browser-Tests.
Jdforrester-WMF renamed this task from Tracking: flapping tests in gated extensions to Fix flapping tests in gated extensions as of 2019-06-06.=.Jun 6 2019, 10:05 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

(We don't do tracking tasks.)

Jdforrester-WMF renamed this task from Fix flapping tests in gated extensions as of 2019-06-06.= to Fix flapping tests in gated extensions as of 2019-06-06.Jun 6 2019, 10:06 PM
hashar closed subtask Restricted Task as Resolved.Jun 21 2019, 9:50 PM